GStringExpression (Groovy 5.1.0)

Package: org.codehaus.groovy.ast.expr

## [Java] Class GStringExpression

- org.codehaus.groovy.ast.expr.GStringExpression

-     public class GStringExpression
      extends Expression

  Represents a String expression which contains embedded values inside it such as "hello there ${user} how are you" which is expanded lazily

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GStringExpression(String verbatimText)`
    `GStringExpression(String verbatimText, List<ConstantExpression> strings, List<Expression> values)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addString(ConstantExpression text)`
    `` | `public void` | `addValue(Expression value)`
    `` | `public Expression` | `asConstantString()`
    `` | `public List<ConstantExpression>` | `getStrings()`
    `` | `public String` | `getText()`
    `` | `public Expression` | `getValue(int idx)`
    `` | `public List<Expression>` | `getValues()`
    `` | `public boolean` | `isConstantString()`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public GStringExpression(String verbatimText)

    - #### public GStringExpression(String verbatimText, List<ConstantExpression> strings, List<Expression> values)

  - ### Method Detail

    - #### public void addString(ConstantExpression text)

    - #### public void addValue(Expression value)

    - #### public Expression asConstantString()

    - #### public List<ConstantExpression> getStrings()

    - #### @Override
      public String getText()

    - #### public Expression getValue(int idx)

    - #### public List<Expression> getValues()

    - #### public boolean isConstantString()

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)